/*
    Copyright 2003 Nasif Akand (nasif@yifan.net)
    http://go.to/zipamp
    http://zipamp.virtualave.net

    This file is part of ZipAmp MP3 software.

    ZipAmp is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    ZipAmp is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this code; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

//This module performs I2C operations for ZipAmp
//Nasif Akand

//I2C implementation for STA013

#ifndef __I2C_H__
#define __I2C_H__

unsigned char wait_Ack (void);
unsigned char i2cReadAddress(unsigned char adr);
unsigned char i2cWriteAddress(unsigned char adr, unsigned char data);
void i2cInit();
void i2cStart();
unsigned char i2cSend(unsigned char value);
unsigned char i2cReceive(unsigned char ack);
void i2cStop(); 
void STA013Reset();

#endif
