/*
    Copyright 2003 Nasif Akand (nasif@yifan.net)
    http://go.to/zipamp
    http://zipamp.virtualave.net

    This file is part of ZipAmp MP3 software.

    ZipAmp is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    ZipAmp is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this code; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

//This module performs different control operation for ZipAmp
//Nasif Akand


//#include "ztype.h"
#ifndef __ZCONTROL_H__
#define __ZCONTROL_H__

#define TPE1 0x54504531 //ID3V2 Tags 
#define TIT2 0x54495432

void readFile(word wordToRead);
void STA013Setup();
void STAPlay();  
byte writeClusterBuffer();
byte readClusterBuffer();
void read();
word randomKey();
void SongSelect();
void SetBassTreble();
void Halt(byte errorCode);
void printFileName();
void printInfo();

#endif